org.swixml.converters

## Class StringConverter

- java.lang.Object
- - org.swixml.converters.StringConverter

- All Implemented Interfaces:
    Converter

      public class StringConverter
      extends Object
      implements Converter

  The StringConverter class defines / describes
  Version:
    $Revision: 1.1 $
  Author:
    Wolf Paulus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class` | `TEMPLATE` converter's return type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convert(Class type, Attribute attr, Localizer localizer)` Convert the value of the given `Attribute` object into an output object of the specified type.
    `Class` | `convertsTo()` A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE

          public static final Class TEMPLATE

      converter's return type

  - ### Constructor Detail

    - #### StringConverter

          public StringConverter()

  - ### Method Detail

    - #### convert

          public Object convert(Class type,
                       Attribute attr,
                       Localizer localizer)
                         throws Exception

      Convert the value of the given `Attribute` object into an output object of the specified type.
      Specified by:
        `convert` in interface `Converter`
      Parameters:
        `type` - `Class` Data type to which the Attribute's value should be converted
        `attr` - `Attribute` the attribute, providing the value to be converted.
      Throws:
        `Exception`

    - #### convertsTo

          public Class convertsTo()

      A `Converters` conversTo method informs about the Class type the converter is returning when its `convert` method is called
      Specified by:
        `convertsTo` in interface `Converter`
      Returns:
        `Class` - the Class the converter is returning when its convert method is called

Copyright © 2002 - 2013 - Wolf Paulus - wolfpaulus.com. All rights reserved.